unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls, FileCtrl, StrUtils;

type
  TForm3 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    DirectoryListBox1: TDirectoryListBox;
    DriveComboBox1: TDriveComboBox;
    procedure DriveComboBox1Change(Sender: TObject);
  private
    function GetDirr:string;
    procedure SetDirr(Value:string);
    { Private declarations }
  public
    { Public declarations }
  published
    property Dir:string read GetDirr write SetDirr;
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

procedure TForm3.SetDirr(Value:string);
begin
    self.DirectoryListBox1.Directory:=Value;
end;

function TForm3.GetDirr:string;
begin
    result:=self.DirectoryListBox1.Directory;
    if RightStr(result,1)='\' then
        result:=LeftStr(result,length(result)-1);
end;

procedure TForm3.DriveComboBox1Change(Sender: TObject);
begin
    if self.DriveComboBox1.Drive<>self.DirectoryListBox1.Drive then
        self.DriveComboBox1.Drive:=self.DirectoryListBox1.Drive;
end;

end.
