unit Unit4;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, DateUtils;

type
  TForm4 = class(TForm)
    Edit1: TEdit;
    ListBox1: TListBox;
    Label1: TLabel;
    DateTimePicker1: TDateTimePicker;
    DateTimePicker2: TDateTimePicker;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Label2: TLabel;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure DateTimePicker1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    procedure SetLabelCaption;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form4: TForm4;

implementation
{$R *.dfm}
uses unit1, Unit3;

procedure TForm4.SetLabelCaption;
var AYear, AMonth, ADay, AHour, AMinute, ASecond, AMilliSecond: Word;
    dat:TDateTime;
    s:string;
begin
    DecodeDate(self.DateTimePicker1.Date , AYear, AMonth, ADay);
    DecodeTime(self.DateTimePicker2.Time, AHour, AMinute, ASecond, AMilliSecond);
    dat:=EncodeDateTime(AYear, AMonth, ADay, AHour, AMinute, ASecond, AMilliSecond);
    s:=ConvertMaskedString(self.Edit1.Text,dat);

    self.Label1.Caption:=s;
    self.Label1.Hint:=s;
end;

procedure TForm4.FormCreate(Sender: TObject);
begin
    self.DateTimePicker1.Date:=Now;
    self.DateTimePicker2.Time:=Now;
    self.ListBox1.Items.Values['%yyyy%']:=' 4 ';
    self.ListBox1.Items.Values['%yyy%']:=' 3  ';
    self.ListBox1.Items.Values['%yy%']:=' 2  ';   
    self.ListBox1.Items.Values['%y%']:=' 1  ';    
    self.ListBox1.Items.Values['%my%']:=' 2 ';           
    self.ListBox1.Items.Values['%dd%']:=' 2 ';
    self.ListBox1.Items.Values['%hh%']:=' 2 ';
    self.ListBox1.Items.Values['%mm%']:=' 2 ';
    self.ListBox1.Items.Values['%ss%']:=' 2 ';
    self.ListBox1.Items.Values['%wm%']:='  1 ';
    self.ListBox1.Items.Values['%wy%']:='  2 ';
    self.ListBox1.Items.Values['%qwart%']:=' 1 ';
    self.ListBox1.Items.Values['%qwartr%']:=' ';
    self.ListBox1.Items.Values['%qwartr3%']:='  3 ';
    self.ListBox1.Items.Values['%dcht%']:='  (1- , 2-)';
    self.ListBox1.Items.Values['%mcht%']:='  (1- , 2-)';
    self.ListBox1.Items.Values['%ycht%']:='  (1- , 2-)';

end;

procedure TForm4.ListBox1DblClick(Sender: TObject);
var i:integer;
begin
    i:=self.ListBox1.ItemIndex;
    if i>=0 then
        begin
            self.Edit1.SelText:=self.ListBox1.Items.Names[i];
        end;
end;

procedure TForm4.Edit1Change(Sender: TObject);
begin
    self.SetLabelCaption;
end;

procedure TForm4.DateTimePicker1Change(Sender: TObject);
begin
    self.SetLabelCaption;
end;

procedure TForm4.Button1Click(Sender: TObject);
begin
    Form3.DirectoryListBox1.Directory:=ExtractFilePath(self.Edit1.Text);
    if Form3.ShowModal=mrOk then
        begin
            self.Edit1.Text:=Form3.DirectoryListBox1.Directory+'\'+ExtractFileName(self.Edit1.Text);
        end;
end;

procedure TForm4.FormActivate(Sender: TObject);
begin
    self.SetLabelCaption;
end;

end.
